Skip to main content

Reset a context password

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/context-passwords/:extId/reset

Since: 2.79.0

Required permission(s): AccessControl.CredentialView,AccessControl.CredentialModify or SelfAdmin Role

Resets the context password credential with the given external ID, belonging to the specified user and client.

The response contains a part of the generated password in the passwordFragment. Changes the state of the credential to initial.

Supports self-admin mode with JWT token validation.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the context password credential.

    Example: cred-123

Responses

Context password reset successfully, password fragment returned

Schema
    passwordFragment string

    A part of the generated password.

Loading...